Skip to main content

Get Market Ads List

Get all merchants' advertisements list with pagination (market overview).

HTTP Request

  • GET /api/v3/fiat/market/ads/pagination

Required Permission: P2P Account Read

Request Parameters

NameTypeMandatoryDescription
fiatUnitstringyesFiat currency type (e.g., USD, EUR)
countryCodestringnoCountry code (e.g., US, CN)
sidestringnoTrade direction: BUY / SELL
amountBigDecimalnoAmount filter
quantityBigDecimalnoQuantity filter
coinIdstringyesCrypto coin ID (e.g., BTC, ETH)
payMethodstringnoPayment methods, comma-separated IDs
allowTradebooleannoFilter only tradable ads
haveTradebooleannoFilter ads with previous trades
followbooleannoFilter followed merchants
pageintegernoPage number, default 1

Response Parameters

NameTypeDescription
advNostringAd number
priceBigDecimalAd price
availableQuantityBigDecimalAvailable quantity
coinNamestringCoin name
countryCodestringCountry code
fiatUnitstringFiat currency unit
sidestringTrade direction: BUY / SELL
payMethodstringPayment method ID
payTimeLimitintegerPayment time limit (minutes)
autoReplyMsgstringAuto-reply message
tradeTermsstringTrade terms
minSingleTransAmountBigDecimalMinimum single trade amount
maxSingleTransAmountBigDecimalMaximum single trade amount
kycLevelstringKYC level: NONE / PRIMARY / ADVANCED
userAllTradeCountMinintegerMinimum completed trades required
userAllTradeCountMaxintegerMaximum trades limit
maxPayLimitintegerMax orders on this ad
orderPayCountintegerCurrent ad order count
buyerRegDaysLimitintegerMinimum buyer registration days
tagsstringAd tags
updateTimelongUpdate time (millisecond timestamp)
merchantobjectMerchant info
merchant.nickNamestringMerchant nickname
merchant.memberIdstringMerchant member ID
merchant.registrylongRegistration time (millisecond timestamp)
merchant.vipLevelintegerVIP level
merchant.emailAuthenticationbooleanEmail verified
merchant.smsAuthenticationbooleanSMS verified
merchant.identityVerificationbooleanIdentity verified
merchant.lastOnlineTimelongLast online time (millisecond timestamp)
merchant.badgestringMerchant badge
merchant.merchantTypestringMerchant type
merchantStatisticsobjectMerchant trade statistics
merchantStatistics.totalBuyCountintegerTotal buy orders
merchantStatistics.totalSellCountintegerTotal sell orders
merchantStatistics.doneLastMonthCountintegerOrders completed in last 30 days
merchantStatistics.avgBuyHandleTimenumberAverage buy order processing time (minutes)
merchantStatistics.avgSellHandleTimenumberAverage sell order processing time (minutes)
merchantStatistics.lastMonthCompleteRatestringLast 30 days completion rate
merchantStatistics.completeRatestringOverall completion rate
merchantStatistics.avgHandleTimenumberAverage processing time (minutes)

Response

{
"msg": "success",
"code": 0,
"data": [
{
"advNo": "a1369623409544374272",
"price": 70,
"availableQuantity": 8,
"coinName": "USDT",
"countryCode": "GB",
"updateTime": 1737426724000,
"fiatUnit": "RUB",
"side": "SELL",
"payMethod": "1",
"merchant": {
"nickName": "davis_user",
"imId": "aa86298cff0066b8a294e0e1ea1a4ae7",
"memberId": "3f903efe008c45d694f80951016fc7b9",
"registry": 1731831707000,
"vipLevel": 0,
"greenDiamond": false,
"emailAuthentication": true,
"smsAuthentication": true,
"identityVerification": true,
"lastOnlineTime": 1737873561151,
"badge": "0",
"merchantType": "normal"
},
"merchantStatistics": {
"totalBuyCount": 0,
"totalSellCount": 2,
"doneLastMonthCount": 1,
"avgBuyHandleTime": 0,
"avgSellHandleTime": 0,
"lastMonthCompleteRate": "0.3333",
"completeRate": "0.5000",
"avgHandleTime": 0
},
"payTimeLimit": 15,
"autoReplyMsg": "",
"tradeTerms": "",
"minSingleTransAmount": 1,
"maxSingleTransAmount": 700,
"kycLevel": "PRIMARY",
"requireMobile": false,
"userAllTradeCountMax": 0,
"userAllTradeCountMin": 0,
"maxPayLimit": 0,
"orderPayCount": 0,
"buyerRegDaysLimit": 0,
"tags": ""
}
],
"page": {
"total": 3,
"currPage": 1,
"pageSize": 10,
"totalPage": 1
}
}